org.jboss.resteasy.client.core.marshallers

## Class ClientMarshallerFactory

- java.lang.Object
- - org.jboss.resteasy.client.core.marshallers.ClientMarshallerFactory

-     public class ClientMarshallerFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientMarshallerFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Marshaller` | `createMarshaller(Class<?> declaring, ResteasyProviderFactory providerFactory, Class<?> type, Annotation[] annotations, Type genericType, AccessibleObject target, boolean ignoreBody)`
    `static Marshaller` | `createMarshaller(Class<?> declaring, ResteasyProviderFactory providerFactory, Class<?> type, Annotation[] annotations, Type genericType, AccessibleObject target, MediaType defaultConsumes, boolean ignoreBody)`
    `static Marshaller[]` | `createMarshallers(Class declaringClass, Method method, ResteasyProviderFactory providerFactory)`
    `static Marshaller[]` | `createMarshallers(Class declaringClass, Method method, ResteasyProviderFactory providerFactory, MediaType defaultConsumes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientMarshallerFactory

          public ClientMarshallerFactory()

  - ### Method Detail

    - #### createMarshallers

          public static Marshaller[] createMarshallers(Class declaringClass,
                                       Method method,
                                       ResteasyProviderFactory providerFactory)

    - #### createMarshallers

          public static Marshaller[] createMarshallers(Class declaringClass,
                                       Method method,
                                       ResteasyProviderFactory providerFactory,
                                       MediaType defaultConsumes)

    - #### createMarshaller

          public static Marshaller createMarshaller(Class<?> declaring,
                                    ResteasyProviderFactory providerFactory,
                                    Class<?> type,
                                    Annotation[] annotations,
                                    Type genericType,
                                    AccessibleObject target,
                                    boolean ignoreBody)

    - #### createMarshaller

          public static Marshaller createMarshaller(Class<?> declaring,
                                    ResteasyProviderFactory providerFactory,
                                    Class<?> type,
                                    Annotation[] annotations,
                                    Type genericType,
                                    AccessibleObject target,
                                    MediaType defaultConsumes,
                                    boolean ignoreBody)

Copyright © 2014. All Rights Reserved.